namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "self_destruct")]
public class SelfDestruct : Script, IScriptOnAfterMove
{
    /// <inheritdoc />
    public void OnAfterMove(IExecutingMove move)
    {
        if (move.User.IsFainted)
            return;

        move.User.Faint(DamageSource.Misc);
    }
}